Skip to main content
POST
Deploy an app

Authorizations

api_key
string
header
required

Workspace API key.

Path Parameters

app_id
string
required

ID of the app to deploy.

Body

application/json
checkpoint_id
string | null

ID of a specific saved version of the app to deploy. If omitted, the app's current version is deployed.

Example:

"6886b8d390dc7e2f4a2c91b3"

Response

Deploy result for workspace API-key callers.

app_id
string
required

ID of the app that was deployed.

Example:

"6820f3a4e7b91d003c45a1f2"

checkpoint_id
string | null
required

ID of the saved version associated with this deploy. The git commit hash identifies the exact code that was deployed. Null if the app has no saved versions.

Example:

"6886b8d390dc7e2f4a2c91b3"

git_commit_hash
string
required

Git commit hash of the code that was deployed.

Example:

"a1b2c3d4e5f67890abcdef1234567890abcdef12"

deployed_at
string<date-time>
required

Time the app was deployed.

Example:

"2026-08-02T14:30:00"